/*
 * BeginToEndIndex.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "BeginToEndIndex.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace transform {

ext::set < unsigned > BeginToEndIndex::transform ( const tree::Tree & subject, const ext::set < unsigned > & indexes ) {
	return dispatch ( subject.getData ( ), indexes );
}

auto BeginToEndIndexPrefixRankedBarTreePrefixRankedBarTree = registration::OverloadRegister < BeginToEndIndex, ext::set < unsigned >, tree::PrefixRankedBarTree < > > ( BeginToEndIndex::transform );
auto BeginToEndIndexPrefixRankedBarTreePrefixRankedBarPattern = registration::OverloadRegister < BeginToEndIndex, ext::set < unsigned >, tree::PrefixRankedTree < > > ( BeginToEndIndex::transform );

} /* namespace transform */

} /* namespace arbology */
