/*
 * ExactMultiNondeterministicSubsequenceAutomaton.cpp
 *
 *  Created on: 7. 4. 2015
 *      Author: Jan Travnicek
 */

#include "ExactMultiNondeterministicSubsequenceAutomaton.h"
#include <common/ContainerConverter.hpp>

namespace stringology {

namespace indexing {

automaton::Automaton ExactMultiNondeterministicSubsequenceAutomaton::construct ( const ext::set < string::String > & texts ) {
	return automaton::Automaton ( ExactMultiNondeterministicSubsequenceAutomaton::construct ( common::ContainerConverter < ext::set < string::LinearString < > >, ext::set < string::String >, string::LinearString < > >::convert ( texts ) ) );
}

} /* namespace indexing */

} /* namespace stringology */
