/*
 * PositionHeapNaive.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "PositionHeapNaive.h"

#include <string/LinearString.h>
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

indexes::stringology::PositionHeap < DefaultSymbolType > PositionHeapNaive::construct ( const string::String & string ) {
	return dispatch ( string.getData ( ) );
}

auto positionHeapNaiveLinearString = registration::OverloadRegister < PositionHeapNaive, indexes::stringology::PositionHeap < DefaultSymbolType >, string::LinearString < > > ( PositionHeapNaive::construct );

} /* namespace indexing */

} /* namespace stringology */
