/*
 * SuffixArrayNaive.cpp
 *
 *  Created on: 10. 1. 2017
 *      Author: Jan Travnicek
 */

#include "SuffixArrayNaive.h"

#include <string/LinearString.h>
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

indexes::stringology::SuffixArray < > SuffixArrayNaive::construct ( const string::String & string ) {
	return dispatch ( string.getData ( ) );
}

auto suffixArrayNaiveLinearString = registration::OverloadRegister < SuffixArrayNaive, indexes::stringology::SuffixArray < >, string::LinearString < > > ( SuffixArrayNaive::construct );

} /* namespace indexing */

} /* namespace stringology */
