/*
 * BitParallelismFactors.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "BitParallelismFactors.h"

#include <string/LinearString.h>
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

ext::set < unsigned > BitParallelismFactors::query ( const indexes::stringology::BitParallelIndex < DefaultSymbolType > & bitParallelIndex, const string::String & string ) {
	return dispatch ( bitParallelIndex, string.getData ( ) );
}

auto BitParallelismFactorsLinearString = registration::OverloadRegister < BitParallelismFactors, ext::set < unsigned >, string::LinearString < > > ( BitParallelismFactors::query );

} /* namespace query */

} /* namespace stringology */
