/*
 * CompressedBitParallelismFactors.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "CompressedBitParallelismFactors.h"

#include <string/LinearString.h>
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

ext::set < unsigned > CompressedBitParallelismFactors::query ( const indexes::stringology::CompressedBitParallelIndex < DefaultSymbolType > & compressedBitParallelIndex, const string::String & string ) {
	return dispatch ( compressedBitParallelIndex, string.getData ( ) );
}

auto CompressedBitParallelismFactorsLinearString = registration::OverloadRegister < CompressedBitParallelismFactors, ext::set < unsigned >, string::LinearString < > > ( CompressedBitParallelismFactors::query );

} /* namespace query */

} /* namespace stringology */
