/*
 * NonlinearCompressedBitParallelismPatterns.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "NonlinearCompressedBitParallelismPatterns.h"

#include <tree/ranked/PrefixRankedPattern.h>
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace query {

ext::set < unsigned > NonlinearCompressedBitParallelismPatterns::query ( const indexes::arbology::NonlinearCompressedBitParallelTreeIndex < common::ranked_symbol < DefaultSymbolType, DefaultRankType > > & nonlinearCompressedBitParallelIndex, const tree::RankedTreeWrapper & tree ) {
	return dispatch ( nonlinearCompressedBitParallelIndex, tree.getData ( ) );
}

auto NonlinearCompressedBitParallelismPatternsPrefixRankedBarPattern = registration::OverloadRegister < NonlinearCompressedBitParallelismPatterns, ext::set < unsigned >, tree::PrefixRankedBarNonlinearPattern < > > ( NonlinearCompressedBitParallelismPatterns::query );

} /* namespace query */

} /* namespace arbology */
