/*
 * BorderArray.cpp
 *
 *  Created on: 1. 11. 2014
 *      Author: Tomas Pecka
 */

#include "BorderArray.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace properties {

ext::vector<unsigned> BorderArray::construct(const string::String& string) {
	return dispatch(string.getData());
}

auto BorderArrayLinearString = registration::OverloadRegister < BorderArray, ext::vector < unsigned >, string::LinearString < > > ( BorderArray::construct );

} /* namespace properties */

} /* namespace string */
