/*
 * GoodSuffixShiftTable.cpp
 *
 *  Created on: 23. 3. 2017
 *      Author: Jan Travnicek
 */

#include "GoodSuffixShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace properties {

ext::vector < size_t > GoodSuffixShiftTable::gss ( const string::String & pattern ) {
	return dispatch ( pattern.getData ( ) );
}

auto GoodSuffixShiftTableLinearString = registration::OverloadRegister < GoodSuffixShiftTable, ext::vector < size_t >, string::LinearString < > > ( GoodSuffixShiftTable::gss );

} /* namespace properties */

} /* namespace string */
