/*
 * NormalizeAlphabet.cpp
 *
 *  Created on: Dec 9, 2013
 *	Author: Jan Travnicek
 */

#include "NormalizeAlphabet.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace simplify {

string::String NormalizeAlphabet::normalize(const string::String& string) {
	return dispatch(string.getData());
}

auto NormalizeAlphabetLinearString = registration::OverloadRegister < NormalizeAlphabet, string::LinearString < >, string::LinearString < > > ( NormalizeAlphabet::normalize );

} /* namespace simplify */

} /* namespace string */
