/*
 * ExactFactorMatch.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "ExactFactorMatch.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace exact {

ext::set < unsigned > ExactFactorMatch::match ( const string::String & subject, const string::String & pattern ) {
	return dispatch ( subject.getData ( ), pattern.getData ( ) );
}

auto ExactFactorMatchLinearString = registration::OverloadRegister < ExactFactorMatch, ext::set < unsigned >, string::LinearString < > > ( ExactFactorMatch::match );

} /* namespace exact */

} /* namespace stringology */
