/*
 * BackboneLength.cpp
 *
 *  Created on: 17. 5. 2017
 *      Author: Jan Travnicek
 */

#include "BackboneLength.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace properties {

unsigned BackboneLength::length ( const automaton::Automaton & automaton ) {
	return dispatch ( automaton.getData ( ) );
}

auto backboneLengthDFA = registration::OverloadRegister < BackboneLength, unsigned, automaton::DFA < > > ( BackboneLength::length );

} /* namespace properties */

} /* namespace stringology */
