/*
 * BorderArrayNaive.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka, Jan Travnicek
 */

#include "BorderArrayNaive.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

namespace properties {

ext::vector < size_t > BorderArrayNaive::ba ( const tree::Tree & pattern ) {
	return dispatch ( pattern.getData ( ) );
}

auto BorderArrayPrefixRankedBarPattern = registration::OverloadRegister < BorderArrayNaive, ext::vector < size_t >, tree::PrefixRankedBarPattern < > > ( BorderArrayNaive::ba );
auto BorderArrayPrefixRankedPattern = registration::OverloadRegister < BorderArrayNaive, ext::vector < size_t >, tree::PrefixRankedPattern < > > ( BorderArrayNaive::ba );

} /* namespace properties */

} /* namespace tree */
