/*
 * PairSetAccess.h
 *
 *  Created on: 20. 9. 2014
 *	  Author: Jan Travnicek
 */

#ifndef PAIR_SET_ACCESS_H_
#define PAIR_SET_ACCESS_H_

#include <core/multipleDispatch.hpp>

#include <object/Object.h>

#include "settings/PairSetSettings.h"
#include "settings/OperationSettings.h"
#include <set>
#include <pair>

namespace dataAccess {

class PairSetAccess {
public:
	static void access ( const ext::set < ext::pair < alib::Object, alib::Object > > & pairSet, const PairSetSettings::Settings & settings, const OperationSettings::Settings & operation );

};

} /* namespace dataAccess */

#endif /* PAIR_SET_ACCESS_H_ */
