/*
 * WriteFile.cpp
 *
 *  Created on: 21. 8. 2017
 *	  Author: Jan Travnicek
 */

#include "WriteFile.h"
#include <registration/AlgoRegistration.hpp>
#include <fstream>

namespace cli {

namespace builtin {

void WriteFile::write ( const std::string & filename, const std::string & data ) {
	std::ofstream ( filename ) << data;
}

auto WriteFileString = registration::AbstractRegister < WriteFile, void, const std::string &, const std::string & > ( WriteFile::write );

} /* namespace builtin */

} /* namespace cli */

