#ifndef _NAME_REGISTRATION_HPP_
#define _NAME_REGISTRATION_HPP_

#include <core/namingApi.hpp>
#include <string>

namespace registration {

template < class Type >
class NameRegister {
public:
	NameRegister ( std::string name ) {
		alib::namingApi::registerName < Type > ( std::move ( name ) );
	}
};

} /* namespace registration */

#endif // _NAME_REGISTRATION_HPP_
