/*
 * UnrankedNonlinearPattern.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "UnrankedNonlinearPattern.h"
#include "../Tree.h"
#include "../UnrankedTreeWrapper.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>

namespace alib {

auto UnrankedNonlinearPatternType = registration::TypeRegister < tree::Tree, tree::UnrankedNonlinearPattern < > > ( );
auto UnrankedNonlinearPatternType2 = registration::TypeRegister < tree::UnrankedTreeWrapper, tree::UnrankedNonlinearPattern < > > ( );
auto UnrankedNonlinearPatternType3 = registration::TypeRegister < alib::Object, tree::UnrankedNonlinearPattern < > > ( );

} /* namespace alib */
