#ifndef STRING_TEST_H_
#define STRING_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class StringTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( StringTest );
	CPPUNIT_TEST( testCopyConstruct );
	CPPUNIT_TEST( testXMLParser );
	CPPUNIT_TEST( testStringInMap );
	CPPUNIT_TEST( testNormalize );
	CPPUNIT_TEST( testNormalize2 );
	CPPUNIT_TEST( testNormalize3 );
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();

	void testCopyConstruct();
	void testXMLParser();
	void testStringInMap();
	void testNormalize();
	void testNormalize2();
	void testNormalize3();
};

#endif	// STRING_TEST_H_
