/*
 * TreeStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef TREE_STRING_API_HPP_
#define TREE_STRING_API_HPP_

#include "../StringApi.hpp"
#include <tree/Tree.h>

namespace alib {

template < >
struct stringApi < tree::Tree > {
	static tree::Tree parse ( std::istream & input );
	static void compose ( std::ostream & output, const tree::Tree & data );
};

} /* namespace alib */

#endif /* STRING_API_HPP_ */
