/*
 * LabelStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef LABEL_STRING_API_HPP_
#define LABEL_STRING_API_HPP_

#include <StringApi.hpp>
#include <label/Label.h>

namespace alib {

template < >
struct stringApi < label::Label > {
	static label::Label parse ( std::istream & input );

	static void compose ( std::ostream & output, const label::Label & data );
};

} /* namespace alib */

#endif /* STRING_API_HPP_ */
