/*
 * PrimitiveStringApi.cpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#include "PrimitiveStringApi.hpp"
#include "primitive/PrimitiveFromStringParser.h"
#include "primitive/PrimitiveToStringComposer.h"

namespace alib {

primitive::Primitive stringApi < primitive::Primitive >::parse ( std::istream & input ) {
	return primitive::PrimitiveFromStringParser::parsePrimitive ( input );
}

void stringApi < primitive::Primitive >::compose ( std::ostream & output, const primitive::Primitive & data ) {
	return primitive::PrimitiveToStringComposer::compose ( output, data );
}

} /* namespace alib */
