/*
 * SizeStat.cpp
 *
 *  Created on: 20. 9. 2014
 *	  Author: Jan Travnicek
 */

#include "SizeStat.h"
#include <registration/AlgoRegistration.hpp>

void SizeStat::stat ( const container::Container & container ) {
	dispatch ( container.getData ( ) );
}

void SizeStat::stat ( const container::ObjectsSet < > & set ) {
	std::cout << set.size ( ) << std::endl;
}

auto SizeStatObjectsSet = registration::OverloadRegister < SizeStat, void, container::ObjectsSet < > > ( SizeStat::stat );
